summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSergei Trofimovich <slyfox@gentoo.org>2020-04-10 21:55:02 +0100
committerSergei Trofimovich <slyfox@gentoo.org>2020-04-10 21:55:12 +0100
commit4df273612316f7377e382de3ae9d476c3047f722 (patch)
treee74dd18110c026c6dce0371a867d0b50865d462f /dev-util/edb-debugger/edb-debugger-1.2.0.ebuild
parentdev-libs/spdlog: remove unused patch(es) (diff)
downloadgentoo-4df273612316f7377e382de3ae9d476c3047f722.tar.gz
gentoo-4df273612316f7377e382de3ae9d476c3047f722.tar.bz2
gentoo-4df273612316f7377e382de3ae9d476c3047f722.zip
dev-util/edb-debugger: bump up to 1.2.0
Package-Manager: Portage-2.3.98, Repoman-2.3.22 Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
Diffstat (limited to 'dev-util/edb-debugger/edb-debugger-1.2.0.ebuild')
-rw-r--r--dev-util/edb-debugger/edb-debugger-1.2.0.ebuild49
1 files changed, 49 insertions, 0 deletions
diff --git a/dev-util/edb-debugger/edb-debugger-1.2.0.ebuild b/dev-util/edb-debugger/edb-debugger-1.2.0.ebuild
new file mode 100644
index 00000000000..21c906d4859
--- /dev/null
+++ b/dev-util/edb-debugger/edb-debugger-1.2.0.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake
+
+DESCRIPTION="edb is a cross platform x86/x86-64 debugger, inspired by Ollydbg"
+HOMEPAGE="https://github.com/eteran/edb-debugger"
+SRC_URI="https://github.com/eteran/edb-debugger/releases/download/${PV}/edb-debugger-${PV}.tgz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="graphviz"
+
+RDEPEND="
+ dev-libs/capstone:=
+ dev-libs/double-conversion
+ dev-qt/qtconcurrent:5
+ dev-qt/qtcore:5
+ dev-qt/qtgui:5
+ dev-qt/qtnetwork:5
+ dev-qt/qtsvg:5
+ dev-qt/qtwidgets:5
+ dev-qt/qtxml:5
+ dev-qt/qtxmlpatterns:5
+ graphviz? ( media-gfx/graphviz )
+"
+
+DEPEND="
+ dev-libs/boost
+ virtual/pkgconfig
+ ${RDEPEND}
+"
+
+S=${WORKDIR}/${PN}
+
+src_prepare() {
+ #Make the desktop's entries somewhat better
+ sed -i -e 's/GenericName=edb debugger/GenericName=Evan\x27s Debugger/' edb.desktop || die
+ sed -i -e 's/Comment=edb debugger/Comment=edb is a cross platform x86\/x86-64 debugger/' edb.desktop || die
+
+ if ! use graphviz; then
+ sed -i -e '/pkg_check_modules(GRAPHVIZ/d' CMakeLists.txt || die
+ fi
+
+ cmake_src_prepare
+}